import type { RawAxiosRequestHeaders } from 'axios';
import type { OptionalDefaults } from '../wrappers/wrap';
import type { CollectionProp, GetResourceTypeParams } from '../../common-types';
import type { ResourceTypeProps, UpsertResourceTypeProps } from '../../export-types';
export type ResourceTypePlainClientAPI = {
    get(params: OptionalDefaults<GetResourceTypeParams>): Promise<ResourceTypeProps>;
    upsert(params: OptionalDefaults<GetResourceTypeParams>, rawData: UpsertResourceTypeProps, headers?: RawAxiosRequestHeaders): Promise<ResourceTypeProps>;
    delete(params: OptionalDefaults<GetResourceTypeParams>): Promise<any>;
    getMany(params: OptionalDefaults<Omit<GetResourceTypeParams, 'resourceTypeId'>>): Promise<CollectionProp<ResourceTypeProps>>;
};
